Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.jmx.builder
Class JmxBeanExportFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.jmx.builder.JmxBeanExportFactory

    class JmxBeanExportFactory
    extends AbstractFactory

This factory returns a container node for all other nodes that are used to collect meta data for resources that are exported to the MBeanServer for management.

Supported syntax

         def jmx = new JmxBuilder()
         jmx.export(registrationPolicy:"replace|ignore|error") {
             bean(...)
        }

registrationPolicy indicates how resources will be registered: "replace" - replaces existing bean,
"ignore" - ignores the registration request if bean already exists.
"error" - throws error if bean is already registered.

author:
  vladimir vivien

Property Summary
`def` | `registrationPolicy`

Constructor Summary
`JmxBeanExportFactory()`

Method Summary
`boolean` | `isLeaf()`
`Object` | `newInstance(FactoryBuilderSupport builder, Object nodeName, Object nodeArgs, Map nodeAttribs)`
`boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map nodeAttribs)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### registrationPolicy

    def registrationPolicy

Constructor Detail

### JmxBeanExportFactory

    JmxBeanExportFactory()

Method Detail

### isLeaf

    public boolean isLeaf()

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object nodeName, Object nodeArgs, Map nodeAttribs)

### onHandleNodeAttributes

    public boolean onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map nodeAttribs)

Copyright © 2003-2009 The Codehaus. All rights reserved.